/* Imports */
@import url("pygment.css");
@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans');

/* @import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap'); */


/* Base styles */
@font-face {
  font-family: iA Writer Mono;
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(https://cdn.jsdelivr.net/fontsource/fonts/ia-writer-mono@latest/latin-400-normal.woff2) format("woff2"),
    url(https://cdn.jsdelivr.net/fontsource/fonts/ia-writer-mono@latest/latin-400-normal.woff) format("woff");
}

@font-face {
  font-family: iA Writer Mono;
  font-style: normal;
  font-display: swap;
  font-weight: 700;
  src: url(https://cdn.jsdelivr.net/fontsource/fonts/ia-writer-mono@latest/latin-700-normal.woff2) format("woff2"),
    url(https://cdn.jsdelivr.net/fontsource/fonts/ia-writer-mono@latest/latin-700-normal.woff) format("woff");
}

@font-face {
  font-family: iA Writer Mono;
  font-style: italic;
  font-display: swap;
  font-weight: 400;
  src: url(https://cdn.jsdelivr.net/fontsource/fonts/ia-writer-mono@latest/latin-400-italic.woff2) format("woff2"),
    url(https://cdn.jsdelivr.net/fontsource/fonts/ia-writer-mono@latest/latin-400-italic.woff) format("woff");
}

@font-face {
  font-family: iA Writer Mono;
  font-style: italic;
  font-display: swap;
  font-weight: 700;
  src: url(https://cdn.jsdelivr.net/fontsource/fonts/ia-writer-mono@latest/latin-700-italic.woff2) format("woff2"),
    url(https://cdn.jsdelivr.net/fontsource/fonts/ia-writer-mono@latest/latin-700-italic.woff) format("woff");
}

:root {
  --white: #efefef;
  --transwhite: rgba(239, 239, 239, 0.7);
  --moretranswhite: rgba(239, 239, 239, 0.1);
  --black: #252525;
  --transblack: rgba(37, 37, 37, 0.7);
  --moretransblack: rgba(37, 37, 37, 0.1);
  --gray: #6b6b6b;
  --highlight: #e5ffc3;
  --red: #e4002b;
  --green: #24d05a;
  --pink: #eb4888;
  --blue: #10a2f5;
  --yellow: #e9bc3f;
}

::selection {
  background-color: var(--highlight);
  color: var(--black);
}

html,
body {
  margin: auto;
  padding: 20px;
  /* Limit the content width to 75 characters for better readability */
  max-width: 75ch;
  background-color: var(--white);
  word-wrap: break-word;
  overflow-wrap: break-word;
  color: var(--black);
}

html,
body,
button,
code {
  /* font-family: iA Writer Mono, monospace; */
  font-family: 'IBM Plex Mono', 'Menlo', 'Monaco', monospace; /*'Montserrat', */
  font-size: 18px;
}

h1,
strong,
b {
  color: var(--black);
}

body.dark-mode,
body.dark-mode button,
body.dark-mode h1,
body.dark-mode .go-home,
button.dark-mode,
button.dark-mode button {
  background: var(--black);
  color: var(--white);
}

body.dark-mode nav {
  background: var(--transblack);
}

.tag-title {
  font-weight: 400;
  color: var(--black);
}

/* @media not (prefers-color-scheme: dark) { */
@media (prefers-color-scheme: dark) {
  ::selection {
    background-color: #0f0f0f;
    color: var(--white);
  }

  :root {
    --gray: #a4a4a4;
  }

  html,
  body,
  body button,
  body h1,
  body strong,
  body b,
  body em,
  body blockquote,
  body .go-home {
    background: var(--black);
    color: var(--white);
  }

  body nav {
    background: var(--transblack);
  }

  body code {
    background-color: var(--moretranswhite);
  }

  body a {
    color: var(--white);
  }

  body .tag {
    color: var(--gray);
  }

  .tag-title {
    color: var(--white);
  }
}

h2,
h3,
h4,
h5,
h6 {
  color: var(--gray);
  line-height: 1.1;
}

header {
  position: relative;
}

a {
  color: var(--black);
  text-decoration-thickness: 0.3ex;
  text-underline-offset: 0.3ex;
}

nav {
  position: sticky;
  top: 0;
  text-align: center;
  background: var(--transwhite);
  -webkit-backdrop-filter: blur(1px);
  backdrop-filter: blur(1px);
}

nav a {
  margin: 25px 0;
}

nav a:not(:last-child) {
  padding: 0 12px 0 0;
}

hr {
  border: 1px dashed var(--gray);
  margin: 1rem 0;
}

ul.posts-list,
ul.tags-list {
  padding: unset;
  list-style-type: none;
}

.post {
  margin: 0 0 30px;
}

.post .title {
  font-size: 1.3em;
}

.tags {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.tag {
  display: inline-block;
  margin-right: 20px;
  color: var(--black);
  font-size: 0.8rem;
}

.tag:hover {
  cursor: pointer;
  font-weight: 700;
}

textarea {
  width: 100%;
  font-size: 16px;
}

input {
  font-size: 16px;
}

main,
content {
  line-height: 1.6;
}

table {
  width: 90%;
  text-align: left;
  border-collapse: collapse;
  border: 1px solid;
  /*border-bottom: 1px solid;*/
  white-space: nowrap;
  table-layout: fixed;
}

th,
td {
  border: 1px solid lightgrey;
  padding: 0.25rem 0.75rem;
  vertical-align: baseline;
}

.book-list {
  display: flex;
  flex-wrap: nowrap;
  overflow-x: auto;
}

.book-item {
  margin-right: 10px;
}

.book-cover {
  display: block; /* Override the general image centering rule */
  margin: 0; /* Remove the auto margin */
  max-width: 100%; /* Ensure the image fits within the container */
}

.social-media-list {
  display: flex;
  justify-content: center; /* Center the icons horizontally */
  align-items: center; /* Center the icons vertically */
  gap: 10px; /* Add space between the icons */
  margin: 20px 0; /* Add some margin to the top and bottom */
}

.social-media-icon {
  display: block; /* Override the general image centering rule */
  max-width: 100%; /* Ensure the image fits within the container */
}

img {
  /* center image */
  display: flex;
  margin: auto;
  max-width: 80%;
  /* scale to fit */
  object-fit: contain;
}

code {
  padding: 2px 5px;
  background-color: var(--moretransblack);
  font-weight: 700;
}

pre {
  padding: 1rem;
}

pre>code {
  all: unset;
}

pre, pre code {
  white-space: pre-wrap;     /* Wraps long lines */
  word-break: break-word;    /* Breaks long words if needed */
  overflow-x: auto;          /* Allows horizontal scroll if needed */
}

/*blockquote {
  border: 1px solid var(--gray);
  color: var(--black);
  padding: 2px 0 2px 20px;
  margin: 0;
  font-style: italic ;
} */

blockquote {
  font-style: italic ;
  line-height: 1.4;
  border: 1px solid var(--gray);
  color: var(--black);
  position: relative;
  background-color: var(--quote-bg-color);
  margin: 1em 2ch 1em 2ch;
  padding-left: 2em;
  padding-right: 1em;
  padding-top: 0.3em;
  padding-bottom: 0em;
}

blockquote::before,
blockquote::after {
  font-style: normal;
  font-family: 'Nunito Sans';
  font-size: 5em;
  position: absolute;
  color: #a3a2a2;
  overflow: hidden;
  white-space: pre;
  line-height: 70px;
  cursor: default;
}

blockquote::before {
  top: 0rem;
  left: 0rem;
  bottom: 0;
  content: "“";
}

blockquote::after {
  bottom: -2.5rem;
  right: 0rem;
  content: "”";
}

h1,
h2 {
  font-weight: 400;
}

/* Only center h3 in header for blog subtitle */
header.h3,
.center {
  text-align: center;
}

/* Only center h1 in header for blog title */
header.h1, 
.center {
  text-align: center;
}

.header-section {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

/* handles width of header + sections */
.header-frame {
  max-width: 520px;
}

.header-title {
    display: flex;
    align-items: center;
    gap: 1rem;
    justify-content: center;
}

.header-title h1 {
    margin: 0;  /* Remove default margins from h1 */
}

.title-image {
    margin: 0;  /* Override the default img margins */
    height: 50px;  /* Adjust this value to match your title height */
    width: auto;
    display: block;  /* Remove flex display from images */
    padding-bottom: 8px;  /* Add some padding at the bottom */
}

article :not(.article-title) {
  line-height: 1.8;
}

.article-title {
  font-size: 2em;
  margin: 0.25em 0;
}

.blog-post {
  font-size: clamp(1rem, 0.96rem + 0.22vw, 1.125rem);
}

.blog-post>*+* {
  margin-block-start: 1em;
}

time {
  font-style: italic;
  color: var(--gray);
}

ul li time {
  white-space: nowrap;
}

@media (max-width: 600px) {
  nav a:not(:last-child) {
    padding: 0;
  }
}

a[data-astro-cid-eimmu3lg] {
  display: inline-block;
  text-decoration: none;
}

a[data-astro-cid-eimmu3lg].active {
  font-weight: bolder;
  text-decoration: underline;
  text-decoration-thickness: 0.3ex;
  text-underline-offset: 0.3ex;
}

h2[data-astro-cid-3ef6ksr2] {
  margin: 0.5em 0;
}

footer[data-astro-cid-sz7xmlte] {
  padding: 25px;
  text-align: center;
  font-size: 0.8rem;
}

nav li {
  display: inline-block;
  margin-right: 10px;
}

div.ascii {
  font: 1em/1.4 normal;
  font-size: 0.3rem;
}

div.summary {
  margin: 1em 0;
  padding: 0.5em 1em;
  background-color: var(--moretranswhite);
  border: 1px solid var(--gray);
}

/* 

body {
    font-family: iA Writer Mono, sans-serif;
    margin: 0;
    padding: 0;
}

a {
    color: #0066cc;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

/* Header styles */

/* 
header {
    background-color: #f2f2f2;
    border-bottom: 1px solid #ddd;
    padding: 10px;
}

header h1 {
    margin: 0;
}

nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

nav li {
    display: inline-block;
    margin-right: 10px;
}

/* Main styles */
/* Blog post styles */
/*.post-title {
    font-size: 24px;
    margin-bottom: 10px;
}

.post-date {
    font-style: italic;
    color: #666;
    margin-bottom: 10px;
}

.post-tags {
    margin-bottom: 10px;
}

.post-tags a {
    display: inline-block;
    background-color: #ddd;
    padding: 5px;
    margin-right: 5px;
    color: #333;
    font-size: 12px;
    text-transform: uppercase;
    border-radius: 3px;
}

.post-content {
    line-height: 1.5;
}

/* Sidebar styles */
/*.sidebar {
    float: right;
    width: 30%;
    margin-left: 20px;
}

.sidebar h2 {
    font-size: 18px;
    margin-bottom: 10px;
}

.sidebar ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.sidebar li {
    margin-bottom: 10px;
}

.sidebar li a {
    color: #0066cc;
    text-decoration: none;
}

.sidebar li a:hover {
    text-decoration: underline;
} */